## WebKitScriptWorld

WebKitScriptWorld

## Synopsis

    struct              WebKitScriptWorld;
    WebKitScriptWorld * webkit_script_world_get_default     (void);
    WebKitScriptWorld * webkit_script_world_new             (void);

## Object Hierarchy

      GObject
       +----WebKitScriptWorld

## Signals

      "window-object-cleared"                          : Run Last

## Description

## Details

### struct WebKitScriptWorld

    struct WebKitScriptWorld;

### webkit_script_world_get_default ()

    WebKitScriptWorld * webkit_script_world_get_default     (void);

Get the default WebKitScriptWorld. This is the normal script world where all scripts are executed by default. You can get the JavaScript execution context of a WebKitScriptWorld for a given WebKitFrame with `webkit_frame_get_javascript_context_for_script_world()`.

Returns : | the default WebKitScriptWorld. [transfer none]

Since 2.2

### webkit_script_world_new ()

    WebKitScriptWorld * webkit_script_world_new             (void);

Creates a new isolated WebKitScriptWorld. Scripts executed in isolated worlds have access to the DOM but not to other variable or functions created by the page. You can get the JavaScript execution context of a WebKitScriptWorld for a given WebKitFrame with `webkit_frame_get_javascript_context_for_script_world()`.

Returns : | a new isolated WebKitScriptWorld. [transfer full]

Since 2.2

## Signal Details

### The `"window-object-cleared"` signal

    void                user_function                      (WebKitScriptWorld *world,
                                                            WebKitWebPage     *page,
                                                            WebKitFrame       *frame,
                                                            gpointer           user_data)      : Run Last

Emitted when the JavaScript window object in a WebKitScriptWorld has been cleared. This is the preferred place to set custom properties on the window object using the JavaScriptCore API. You can get the window object of `frame` from the JavaScript execution context of `world` that is returned by `webkit_frame_get_javascript_context_for_script_world()`.

`world` : | the WebKitScriptWorld on which the signal is emitted
`page` : | a WebKitWebPage
`frame` : | the WebKitFrame to which `world` belongs
`user_data` : | user data set when the signal handler was connected.

Since 2.2